import request from '../../utils/request'
/**
 * 获取日语培训列表
 *
 */
export function getClassPruductList(data) {
  return request({
    url: '/order/GetClassPruductList',
    method: 'post',
    data
  })
}
/**
 * 获取订单来源 枚举
 *
 */
export function getOrderSourceEnumList(data) {
  return request({
    url: '/order/GetOrderSourceEnumList',
    method: 'post',
    data
  })
}

/**
 * 新增 修改订单
 *
 */
export function setClassOrder(data) {
  return request({
    url: '/order/SetNewClassOrder',
    method: 'post',
    data
  })
}

/**
 * 新增 多个约课订单
 *
 */
export function SetClassOrderBatch(data) {
  return request({
    url: '/order/SetNewClassOrderBatch',
    method: 'post',
    data
  })
}

/**
 * 销售 我的订单
 *
 */
export function getMyOrderPageList(data) {
  return request({
    url: '/order/GetMyOrderPageList',
    method: 'post',
    data
  })
}

/**
 * 销售 报名统计
 *
 */
export function getMyOrderStatisticsPageList(data) {
  return request({
    url: '/order/GetOrderPageListStatistics',
    method: 'post',
    data
  })
}
/**
 * 销售 留学就业统计
 *
 */
export function getMyStudyOrderStatisticsPageList(data) {
  return request({
    url: '/order/GetStudyOrderPageListStatistics',
    method: 'post',
    data
  })
}

/**
 * 销售 我的订单状态
 *
 */
export function getOrderStateEnumList(data) {
  return request({
    url: '/order/GetOrderStateEnumList',
    method: 'post',
    data
  })
}

/**
 *  订单客人列表
 *
 */
export function getOrderGuestPageList(data) {
  return request({
    url: '/order/GetOrderGuestPageList',
    method: 'post',
    data
  })
}

/**
 *  日语基础枚举
 *
 */
export function getGuestBasicsEnumList(data) {
  return request({
    url: '/order/GetGuestBasicsEnumList',
    method: 'post',
    data
  })
}
/**
 *  日语基础枚举
 *
 */
export function getGuestEducationEnumList(data) {
  return request({
    url: '/order/GetGuestEducationEnumList',
    method: 'post',
    data
  })
}
/**
 *  获取学习目的 枚举
 *
 */
export function getGuestLearningGoalsEnumList(data) {
  return request({
    // url: '/order/GetGuestLearningGoalsEnumList',
    url: '/CustomerStudent/GetLearningGoalsList',
    method: 'post',
    data
  })
}
/**
 *  获取订单来自于 枚举
 *
 */
export function getOrderFormEnumList(data) {
  return request({
    url: '/order/GetOrderFormEnumList',
    method: 'post',
    data
  })
}
/**
 *  新增客人信息
 *
 */
export function setOrderGuestInfo(data) {
  return request({
    url: '/order/SetOrderGuestInfo',
    method: 'post',
    data
  })
}
/**
 *  删除客人名单
 *
 */
export function delOrderGuestInfo(data) {
  return request({
    url: '/order/DelOrderGuestInfo',
    method: 'post',
    data
  })
}
/**
 *  删除客人名单
 *
 */
export function updateOrderRemark(data) {
  return request({
    url: '/order/UpdateOrderRemark',
    method: 'post',
    data
  })
}
/**
 *  订单转交
 *
 */
export function setClassOrderCareOf(data) {
  return request({
    url: '/order/SetClassOrderCareOf',
    method: 'post',
    data
  })
}
/**
 *  修改订单销售
 *
 */
export function updateOrderSale(data) {
  return request({
    url: '/order/UpdateOrderSale',
    method: 'post',
    data
  })
}
/**
 *  订单取消
 *
 */
export function cancelClassOrder(data) {
  return request({
    url: '/order/CancelClassOrder',
    method: 'post',
    data
  })
}
/**
 *  获取订单详情
 *
 */
export function getClassOrderInfo(data) {
  return request({
    url: '/order/GetClassOrderInfo',
    method: 'post',
    data
  })
}
/**
 *  获取备注列表
 *
 */
export function getClassOrderRemarkList(data) {
  return request({
    url: '/order/GetClassOrderRemarkList',
    method: 'post',
    data
  })
}
/**
 *  获取订单操作日志列表
 *
 */
export function getClassOrderLogList(data) {
  return request({
    url: '/order/GetClassOrderLogList',
    method: 'post',
    data
  })
}


/**
 *  获取班级订单列表
 *
 */
export function quertClassOrderList(data) {
  return request({
    url: '/order/GetClassOrderList',
    method: 'post',
    data
  })
}

/**
 *  学员退课申请
 *
 */
export function SetBackClassApply(data) {
  return request({
    url: '/order/BackClassApply',
    method: 'post',
    data
  })
}

/**
 *  点击获取订单详情
 *
 */
export function getClassOrderForDetail(data) {
  return request({
    url: '/order/GetClassOrderForDetail',
    method: 'post',
    data
  })
}

/**
 *  修改提成和额外金额
 *
 */
export function UpdateOrderCommission(data) {
  return request({
    url: '/order/UpdateOrderCommission',
    method: 'post',
    data
  })
}

/**
 * 获取续课分页列表
 */
export function queryRenewClass(data) {
  return request({
    url: '/Stu/GetRenewClass',
    method: 'post',
    data
  })
}

/**
 * 保存续费订单
 */
export function saveRenewOrder(data) {
  return request({
    url: '/Stu/RenewOrder',
    method: 'post',
    data
  })
}

/**
 * 销售 我的留学就业订单
 *
 */
export function getMyStudyOrderPage(data) {
  return request({
    url: '/order/GetMyStudyOrderPageList',
    method: 'post',
    data
  })
}

/**
 * 根据 班级编号获取插班报名配置信息
 *
 */
export function queryChaClassInfo(data) {
  return request({
    url: '/order/GetChaClassInfo',
    method: 'post',
    data
  })
}

/**
 * 获取前置订单下拉数据
 *
 */
export function GetSelectClassOrderList(data) {
  return request({
    url: '/Order/GetSelectClassOrderList',
    method: 'post',
    data
  })
}

/**
 * 今日订单 修改订单的关联老师
 *
 */
export function setOrderHelpEnterId(data) {
  return request({
    url: '/Order/SetOrderHelpEnterId',
    method: 'post',
    data
  })
}

/**
 * 回归原班
 *
 */
export function regressSourceClass(data) {
  return request({
    url: '/OrderChange/RegressSourceClass',
    method: 'post',
    data
  })
}

//  留学订单确认完成
export function setStudyAboradOrderConfirm(data) {
  return request({
    url: '/SellCommission/SetStudyAboradOrderConfirm',
    method: 'post',
    data
  });
}

//  同行下拉
export function getMyCustomerList(data) {
  return request({
    url: '/b2bcustomer/GetMyCustomerList',
    method: 'post',
    data
  });
}
//  获取收客渠道下拉
export function GetStuChannelList(data) {
  return request({
    // url: '/User/GetStuChannelList',
    url: "/CustomerStudent/GetChannelList",
    method: 'post',
    data
  });
}

//  获取协助人员下拉
export function GetAssistTypeList(data) {
  return request({
    url: '/user/GetAssistTypeList',
    method: 'post',
    data
  });
}

//  获取学生是否续费
export function getOrderGuestRenewState(data) {
  return request({
    url: '/order/GetOrderGuestRenewState',
    method: 'post',
    data
  });
}

// 获取协助数据
export function GetStudentAssistList(data) {
  return request({
    url: '/CustomerStudent/GetStudentAssistList',
    method: 'post',
    data
  });
}

// 获取协助老师信息 2024-09-04 add by:W
export function GetVisitorReserveTeacherList(data) {
  return request({
    url: '/VisitorReserve/GetVisitorReserveTeacherList',
    method: 'post',
    data
  });
}
// 保存协助数据
export function SetStudentAssist(data) {
  return request({
    url: '/CustomerStudent/SetStudentAssist',
    method: 'post',
    data
  });
}

export function SetStudentAssistBatch(data) {
  return request({
    url: '/CustomerStudent/SetStudentAssistBatch',
    method: 'post',
    data
  });
}

// 删除协助数据
export function RemoveStudentAssist(data) {
  return request({
    url: '/CustomerStudent/RemoveStudentAssist',
    method: 'post',
    data
  });
}

//获取客户来源
export function CreateTypeList(data) {
  return request({
    url: '/user/CreateTypeList',
    method: 'post',
    data
  });
}

//验证手机号
export function CheckExistsStu(data) {
  return request({
    url: '/user/CheckExistsStu',
    method: 'post',
    data
  });
}

//获取客户下拉
export function GetCustomerList(data) {
  return request({
    url: '/B2BCustomer/GetCustomerList',
    method: 'post',
    data
  });
}

//获取学员状态下拉列表
export function queryGuestStateList(data) {
  return request({
    url: '/Order/GetGuestStateList',
    method: 'post',
    data
  });
}

//获取月份统计数据
export function GetStudentStatic(data) {
  return request({
    url: '/StudentStat/GetStudentStatic',
    method: 'post',
    data
  });
}

//获取每月统计数据
export function GetStudentStaticMonth(data) {
  return request({
    url: '/StudentStat/GetStudentStaticMonth',
    method: 'post',
    data
  });
}

//获取每月成长率数据
export function GetStudentStaticRateMonth(data) {
  return request({
    url: '/StudentStat/GetStudentStaticRateMonth',
    method: 'post',
    data
  });
}

//获取月度数据
export function GetStudentStaticYear(data) {
  return request({
    url: '/StudentStat/GetStudentStaticYear',
    method: 'post',
    data
  });
}

//获取月度数据
export function GetStudentStaticYearRate(data) {
  return request({
    url: '/StudentStat/GetStudentStaticYearRate',
    method: 'post',
    data
  });
}

//获取市场每日成长数据
export function GetStudentMarket(data) {
  return request({
    url: '/StudentStat/GetStudentMarket',
    method: 'post',
    data
  });
}

//获取市场月度数据
export function GetStudentMarketMonth(data) {
  return request({
    url: '/StudentStat/GetStudentMarketMonth',
    method: 'post',
    data
  });
}

//获取市场月度成长率数据
export function GetStudentMarketMonthRate(data) {
  return request({
    url: '/StudentStat/GetStudentMarketMonthRate',
    method: 'post',
    data
  });
}

//获取市场年度成长率数据
export function GetStudentMarketYear(data) {
  return request({
    url: '/StudentStat/GetStudentMarketYear',
    method: 'post',
    data
  });
}

//获取市场年度成长率数据
export function GetStudentMarketYearRate(data) {
  return request({
    url: '/StudentStat/GetStudentMarketYearRate',
    method: 'post',
    data
  });
}

//保存批量转交
export function BatchForwardStudent(data) {
  return request({
    url: '/User/BatchForwardStudent',
    method: 'post',
    data
  });
}


//全公司每日数据统计
export function GetStudentCompany(data) {
  return request({
    url: '/StudentStat/GetStudentCompany',
    method: 'post',
    data
  });
}


//全公司每月统计数据
export function GetStudentCompanyMonth(data) {
  return request({
    url: '/StudentStat/GetStudentCompanyMonth',
    method: 'post',
    data
  });
}

//全公司每月成长率数据
export function GetStudentCompanyRateMonth(data) {
  return request({
    url: '/StudentStat/GetStudentCompanyRateMonth',
    method: 'post',
    data
  });
}

//全公司年度数据统计
export function GetStudentCompanyYear(data) {
  return request({
    url: '/StudentStat/GetStudentCompanyYear',
    method: 'post',
    data
  });
}

//全公司年度成长率统计
export function GetStudentCompanyYearRate(data) {
  return request({
    url: '/StudentStat/GetStudentCompanyYearRate',
    method: 'post',
    data
  });
}

//保存vip课程
export function SetVipCourseApply(data) {
  return request({
    url: '/StopStudentClass/SetVipCourseApply',
    method: 'post',
    data
  });
}




